Subject: Bug#3835: Problem with Latex installation

From: "D. J. Raymond" <[email-masked]>
Date: Thu, 18 Jul 1996 13:23:19 -0600

Package: Latex
Version: 2e-4

This is in reference to latex on Debian 1.1.

I discovered that the latex.fmt file didn't exist in
/usr/lib/texmf/ini after installation of latex.  Since the same binaries
worked in Debian 0.93, I was baffled.  After some detective work, I
got the latex/debian source and tried running texmakelatexfmt and it
didn't do what its name implies.

Here is what texmake... looks like:

#!/bin/sh
cd /usr/lib/texmf/ini
initex latex.initex </dev/null >/dev/null

I then tried running initex by hand and got a message saying that the
latex distribution was more than a year old and did I still want to
proceed.  I said yes and everything then worked, and a latex.fmt file
was produced.  My question is, is the new kernel treating /dev/null
that occurs in texmakelatexfmt differently?  Perhaps the shell script
is now blocking on a read/write to/from /dev/null where it wasn't
blocking with the old kernel.

Here is the output of uname -a:
Linux oriole 2.0.0 #8 Tue Jun 11 09:53:39 PDT 1996 i586

Dave Raymond